Bullet Collision Detection & Physics Library: btConvexTriangleCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
btConvexTriangleCallback Class Reference

For each triangle in the concave mesh that overlaps with the AABB of a convex (m_convexProxy), processTriangle is called. More...

`#include <btConvexConcaveCollisionAlgorithm.h>`

Inheritance diagram for btConvexTriangleCallback:
[legend]
Collaboration diagram for btConvexTriangleCallback:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btConvexTriangleCallback (btDispatcher *dispatcher, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, bool isSwapped)
void | setTimeStepAndCounters (btScalar collisionMarginTriangle, const btDispatcherInfo &dispatchInfo, const btCollisionObjectWrapper *convexBodyWrap, const btCollisionObjectWrapper *triBodyWrap, btManifoldResult *resultOut)
void | clearWrapperData ()
virtual | ~btConvexTriangleCallback ()
virtual void | processTriangle (btVector3 *triangle, int partId, int triangleIndex)
void | clearCache ()
const btVector3 & | getAabbMin () const
const btVector3 & | getAabbMax () const
Public Member Functions inherited from btTriangleCallback
virtual | ~btTriangleCallback ()

## Public Attributes
int | m_triangleCount
btPersistentManifold * | m_manifoldPtr

## Private Attributes
btVector3 | m_aabbMin
btVector3 | m_aabbMax
const btCollisionObjectWrapper * | m_convexBodyWrap
const btCollisionObjectWrapper * | m_triBodyWrap
btManifoldResult * | m_resultOut
btDispatcher * | m_dispatcher
const btDispatcherInfo * | m_dispatchInfoPtr
btScalar | m_collisionMarginTriangle

## Detailed Description

For each triangle in the concave mesh that overlaps with the AABB of a convex (m_convexProxy), processTriangle is called.

Definition at line 29 of file btConvexConcaveCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btConvexTriangleCallback()

btConvexTriangleCallback::btConvexTriangleCallback | ( | btDispatcher * | dispatcher,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | bool | isSwapped )

Definition at line 50 of file btConvexConcaveCollisionAlgorithm.cpp.

## ◆ ~btConvexTriangleCallback()

btConvexTriangleCallback::~btConvexTriangleCallback | ( |  | ) |
| virtual

Definition at line 64 of file btConvexConcaveCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btConvexTriangleCallback::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ clearCache()

void btConvexTriangleCallback::clearCache | ( |  | ) |

Definition at line 70 of file btConvexConcaveCollisionAlgorithm.cpp.

## ◆ clearWrapperData()

void btConvexTriangleCallback::clearWrapperData | ( |  | ) |
| inline

Definition at line 54 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ getAabbMax()

const btVector3 & btConvexTriangleCallback::getAabbMax | ( |  | ) | const
| inline

Definition at line 69 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ getAabbMin()

const btVector3 & btConvexTriangleCallback::getAabbMin | ( |  | ) | const
| inline

Definition at line 65 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ processTriangle()

void btConvexTriangleCallback::processTriangle | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex )
| virtual

Implements btTriangleCallback.

Definition at line 75 of file btConvexConcaveCollisionAlgorithm.cpp.

## ◆ setTimeStepAndCounters()

void btConvexTriangleCallback::setTimeStepAndCounters | ( | btScalar | collisionMarginTriangle,
|  | const btDispatcherInfo & | dispatchInfo,
|  | const btCollisionObjectWrapper * | convexBodyWrap,
|  | const btCollisionObjectWrapper * | triBodyWrap,
|  | btManifoldResult * | resultOut )

Definition at line 193 of file btConvexConcaveCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_aabbMax

btVector3 btConvexTriangleCallback::m_aabbMax
| private

Definition at line 33 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ m_aabbMin

btVector3 btConvexTriangleCallback::m_aabbMin
| private

Definition at line 32 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ m_collisionMarginTriangle

btScalar btConvexTriangleCallback::m_collisionMarginTriangle
| private

Definition at line 41 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ m_convexBodyWrap

const btCollisionObjectWrapper* btConvexTriangleCallback::m_convexBodyWrap
| private

Definition at line 35 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ m_dispatcher

btDispatcher* btConvexTriangleCallback::m_dispatcher
| private

Definition at line 39 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ m_dispatchInfoPtr

const btDispatcherInfo* btConvexTriangleCallback::m_dispatchInfoPtr
| private

Definition at line 40 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ m_manifoldPtr

btPersistentManifold* btConvexTriangleCallback::m_manifoldPtr

Definition at line 48 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ m_resultOut

btManifoldResult* btConvexTriangleCallback::m_resultOut
| private

Definition at line 38 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ m_triangleCount

int btConvexTriangleCallback::m_triangleCount

Definition at line 46 of file btConvexConcaveCollisionAlgorithm.h.

## ◆ m_triBodyWrap

const btCollisionObjectWrapper* btConvexTriangleCallback::m_triBodyWrap
| private

Definition at line 36 of file btConvexConcaveCollisionAlgorithm.h.

The documentation for this class was generated from the following files:

- btConvexConcaveCollisionAlgorithm.h
- btConvexConcaveCollisionAlgorithm.cpp